<?php defined('BASEPATH') OR exit('No direct script access allowed');
   class Blog extends MY_Controller {
   
   	public function __construct(){
   
   		parent::__construct();
   
   		auth_check(); // check login auth
   
   		$this->load->model('admin/Activity_model', 'activity_model');
   
   		$this->load->model('Common_model','Common_model');
   
   	}
   
   	public function index(){
   
   		$this->load->view('admin/includes/_header');
   
   		$this->load->view('admin/blog/blog_list');
   
   		$this->load->view('admin/includes/_footer');
   
   	}
   
   	public function datatable_json(){				   					   
   
   		 $records['data'] = $this->Common_model->getRecords('fx_blog',array('status'=>1));
   
   		$data = array();
   
   		$i=0;
   
   		$blog_Category = '';
   
   		foreach ($records['data']   as $row) 
   
   		{  
   
   			$status = ($row['is_active'] == 1)? 'checked': ''; 
   
   			$data[]= array(
   
   				++$i,
   				
   				'<img height="50px" width="50px" src="'.base_url('uploads/blog/'.$row['blog_thumbImage']).'">',
   
   				'<img height="50px" width="50px" src="'.base_url('uploads/blog/'.$row['blog_detailImage']).'">',
   
   				$row['blog_title'],
   				
   				date($row['blog_date']),
   
   				'<a title="Edit" class="update btn btn-success-rgba" href="'.base_url('admin/blog/edit/'.$row['blog_Id']).'"> <i class="feather icon-edit-2"></i></a>
   
   				<a title="Delete" class="delete btn btn-danger-rgba" href='.base_url("admin/blog/delete/".$row['blog_Id']).' title="Delete" onclick="return confirm(\'Do you want to delete ?\')"> <i class="feather icon-trash"></i></a>'
   
   			);
 
   		}
   
   		$records['data']=$data;
   
   		echo json_encode($records);						   
   
   	}
   
   	public function change_status()
   
   	{   
   
   		$params = array('is_active' => $this->input->post('status'));
   
   		$where = ['blog_Id' => $this->input->post('id')];
   
   		$update = $this->Common_model->updateRecord('fx_blog', $params, $where);
   
   	}
 
   	public function add(){
   		//$this->rbac->check_operation_access(); // check opration permission
   
   		if($this->input->post('submit')){
   
   			$this->form_validation->set_rules('blog_title', 'Blog Title', 'trim|required');
   
   			$this->form_validation->set_rules('blog_author', 'Blog Author', 'trim|required');
   			
   			$this->form_validation->set_rules("blogTags[]", "Blog Tags", "required");
   
   			$this->form_validation->set_rules('blog_date', 'Blog Date', 'trim|required');
   
   			$this->form_validation->set_rules('blog_thumbImage', 'blog Thumb Image', 'callback_file_check1');
   
            $this->form_validation->set_rules('blog_detailImage', 'blog Detail Image', 'callback_file_check2');	
   
   			$this->form_validation->set_rules('short_description', 'Blog short Description ', 'trim|required');
   
   			$this->form_validation->set_rules('long_description', 'Blog Long Description', 'trim|required');
   
   			if ($this->form_validation->run() == FALSE) {
   
   				$data = array(
   
   					'errors' => validation_errors()
   
   				);
   
   				$this->session->set_flashdata('errors', $data['errors']);
   
   				redirect(base_url('admin/blog/add'),'refresh');
   
   			}else
   
   			{
   				$data = array();
   
   				$config['upload_path'] = './uploads/blog/';
   
   				$config['allowed_types'] = 'gif|png|jpg|jpeg';
   
   				$aboutImage = array();
   
   				$this->load->library('upload',$config);
   
   				if ($_FILES['blog_thumbImage']['name'] != '') 
   
   				{
   
   					if ($this->upload->do_upload('blog_thumbImage')) 
   
   					{
   
   						$dt = $this->upload->data();
   
   						$_POST['blog_thumbImage'] = $dt['file_name'];
   
   					}else
   
   			 		{
   
   						$_POST['blog_thumbImage'] = $_POST['old_blog_thumbImage'];
   
   						$data['error'] = $this->upload->display_errors();
   
   					}
   
   				}
   
   				if ($_FILES['blog_detailImage']['name'] != '') 
   
   				{
 
   					if ($this->upload->do_upload('blog_detailImage')) 
   
   					{
   
   						$dt = $this->upload->data();
   
   						$_POST['blog_detailImage'] = $dt['file_name'];
   
   					}else
   
   			 		{
   
   
   
   						$_POST['blog_detailImage'] = $_POST['old_blog_detailImage'];
   
   						$data['error'] = $this->upload->display_errors();
   
   					}
   
   				}
   				
   				$new_seo;
   
   				$seoUri = makeSeoUri($this->input->post('blog_title'));
   
   				$check_seo = $this->Common_model->getRecords('fx_blog',array('seoUri'=>$seoUri));
   
   				if(sizeof($check_seo) > 0){
   
   					$new_seo = $seoUri.rand(1,999);
   
   				}else{
   
   					$new_seo = $seoUri;
   
   				}
   
   				$data = array(
   
   				     'seoUri'=>$new_seo,
   
   					'blog_title' => $this->input->post('blog_title'),
   
   					'blog_author' => $this->input->post('blog_author'),
   
   					'blog_date'=>$this->input->post ('blog_date'),
   
   					'short_description' => str_replace(['<p>', '</p>'],'',$this->input->post('short_description')),
   
   					'long_description' => $this->input->post('long_description'),
   
                    'blog_thumbImage' => $_POST['blog_thumbImage'],
   
                    'blog_detailImage' => $_POST['blog_detailImage'],
   
                    'meta_title'=>$this->input->post ('meta_title'),
   
                    'meta_keyword'=>$this->input->post ('meta_keyword'),
   
                    'meta_description' => str_replace(['<p>', '</p>'],'',$this->input->post('meta_description')),
   
   					'dateAdded' => date('Y-m-d h:i:s'),
   
   				);
   
   				// echo"pre";
   
   				// print_r($data);
   
   				// die();
   
   				$params = $this->security->xss_clean($data);
   
   				$result = $this->Common_model->insertRecord('fx_blog',$params);
   
   				$blog_Id=$this->db->insert_id();
   				$blogTag = $this->Common_model->getRecords('fx_blog_tag', array('blogID' => $blog_Id ));
   				if(sizeof($blogTag) > 0)
   				{
   					$this->db->delete('fx_blog_tag', array('blogID' => $blog_Id)); 
   					$blogTagArr = explode(',',$_POST['blogTags'][0]);
   					foreach($blogTagArr as $value)
   					{
   						$blogTagInsData['blogID'] = $blog_Id;
   						$blogTagInsData['tagName'] = $value;
   						$blogTagInsData['status'] = 1;
   						$blogTagInsData['dateAdded'] = date('Y-m-d H:i:s');
   						$this->Common_model->insertRecord('fx_blog_tag', $blogTagInsData);
   					}
   				}else{
   					$blogTagArr = explode(',',$_POST['blogTags'][0]);
   					foreach($blogTagArr as $value)
   					{
   						
   						$blogTagInsData['blogID'] = $blog_Id;
   						$blogTagInsData['tagName'] = $value;
   						$blogTagInsData['status'] = 1;
   						$blogTagInsData['dateAdded'] = date('Y-m-d H:i:s'); 
   						$this->Common_model->insertRecord('fx_blog_tag', $blogTagInsData);
   					}
   				}
   				if($result){
   
   					// Activity Log 
   
   					$this->activity_model->add_log(1);
   
   					$this->session->set_flashdata('success', 'Blog has been added successfully!');
   
   					redirect(base_url('admin/blog'));
   
   				}
   
   			}
   
   		}else
   
   		{
   			$this->load->view('admin/includes/_header');
   
   			$this->load->view('admin/blog/blog_add');
   
   			$this->load->view('admin/includes/_footer');
   		}
   
   	}
   
   	public function edit($id = 0){
   
   		//$this->rbac->check_operation_access(); // check opration permission
   
   		if($this->input->post('submit')){
   
   			$this->form_validation->set_rules('blog_title', 'Blog Title', 'trim|required');
   			
   			$this->form_validation->set_rules("blogTags[]", "Blog Tags", "required");
   
   			$this->form_validation->set_rules('blog_date', 'Blog Date', 'trim|required');
   
   			$this->form_validation->set_rules('short_description', 'Blog short Description', 'trim|required');
   
   			$this->form_validation->set_rules('long_description', 'Blog Long Description', 'trim|required');
   
   			if ($this->form_validation->run() == FALSE) {
   
   					$data = array(
   
   						'errors' => validation_errors()
   
   					);
   
   					$this->session->set_flashdata('errors', $data['errors']);
   
   					redirect(base_url('admin/blog/edit/'.$id),'refresh');
   
   			}else{
   
   				$data = array();
   
   				$config['upload_path'] = "./uploads/blog/";
   
   				$config['allowed_types'] = "gif|png|jpg|jpeg";
   
   				$config['allowed_names'] = rand(1,999);
   
   				$this->load->library('upload',$config);
   				
   				if (!$this->upload->do_upload('blog_thumbImage')) 
   
   				{
   
   					if (empty($_FILES['blog_thumbImage']['name'])) 
   
   					{
   
   						$_POST['blog_thumbImage'] = $_POST['old_image'];
   
   						$data['error'] = $this->upload->display_errors();
   
   					}
   
   				}else 
   
   				{
   
   					$dt = $this->upload->data();
   
   					$_POST['blog_thumbImage'] = $dt['file_name'];
   
   					$params['blog_thumbImage'] = $dt['file_name'];
   
   				}	
   
   
   
   				if (!$this->upload->do_upload('blog_detailImage')) 
   
   				{
   
   					if (empty($_FILES['blog_detailImage']['name'])) 
   
   					{
   
   						$_POST['blog_detailImage'] = $_POST['blog_image'];
   
   						$data['error'] = $this->upload->display_errors();
   
   					}
   
   				}else 
   
   				{
   
   					$dt = $this->upload->data();
   
   					$_POST['blog_detailImage'] = $dt['file_name'];
   
   					$params['blog_detailImage'] = $dt['file_name'];
   
   				}		
   
   				$seoUri = makeSeoUri($this->input->post('blog_title'));
   
   				$data = array(
   
   				    'seoUri'=>$seoUri,
   
   					'blog_title' => $this->input->post('blog_title'),
   
   					'blog_category' => $this->input->post('blog_category'),
   
   					'blog_date'=>$this->input->post ('blog_date'),
   
   					'short_description' => str_replace(['<p>', '</p>'],'',$this->input->post('short_description')),
   
   					'long_description' => $this->input->post('long_description'),
   
                    'blog_thumbImage' => $_POST['blog_thumbImage'],
   
                    'blog_detailImage' => $_POST['blog_detailImage'],
   
                    'meta_title'=>$this->input->post ('meta_title'),
   
                    'meta_keyword'=>$this->input->post ('meta_keyword'),
   
                    'meta_description' => str_replace(['<p>', '</p>'],'',$this->input->post('meta_description')),
   
   					'dateAdded' => date('Y-m-d h:i:s'),
   
   				);
   
   				$params = $this->security->xss_clean($data);
   
   				$where = ['blog_Id' => $id];
   
   				$result = $this->Common_model->updateRecord('fx_blog', $params, $where);
   				
   				$blogTag = $this->Common_model->getRecords('fx_blog_tag', array('blogID' => $id ));
   				if(sizeof($blogTag) > 0)
   				{
   					$this->db->delete('fx_blog_tag', array('blogID' => $id)); 
   					$blogTagArr = explode(',',$_POST['blogTags'][0]);
   					foreach($blogTagArr as $value)
   					{
   						$blogTagInsData['blogID'] = $id;
   						$blogTagInsData['tagName'] = $value;
   						$blogTagInsData['status'] = 1;
   						$blogTagInsData['dateAdded'] = date('Y-m-d H:i:s');
   						$this->Common_model->insertRecord('fx_blog_tag', $blogTagInsData);
   					}
   				}else{
   					$blogTagArr = explode(',',$_POST['blogTags'][0]);
   					foreach($blogTagArr as $value)
   					{
   						$blogTagInsData['blogID'] = $id;
   						$blogTagInsData['tagName'] = $value;
   						$blogTagInsData['status'] = 1;
   						$blogTagInsData['dateAdded'] = date('Y-m-d H:i:s');
   						$this->Common_model->insertRecord('fx_blog_tag', $blogTagInsData);
   					}
   				}
   
   				if($result){
   
   					// Activity Log 
   
   					$this->activity_model->add_log(2);
   
   					$this->session->set_flashdata('success', 'Blog  Highlights has been Updated Successfully!');
   
   					redirect(base_url('admin/blog'));
   
   				}
   
   			}
   
   		}else{
   
   			$data['blog'] = $this->Common_model->getRow('fx_blog',array('blog_Id'=>$id));
   			
   			$data['blog_tags'] = $this->Common_model->getRecords('fx_blog_tag', array( 'blogID' => $id ),'tagName' );
   
   			$this->load->view('admin/includes/_header');
   
   			$this->load->view('admin/blog/blog_edit', $data);
   
   			$this->load->view('admin/includes/_footer');
  
   		}
   
   	}
 
   	public function delete($id = 0)
   
   	{
   
   		$params = array('status' => 0);
   
   		$where = ['blog_Id' => $id];
   
   		$update = $this->Common_model->updateRecord('fx_blog', $params, $where);
   
   		$this->session->set_flashdata('success', 'Blog Highlights has been deleted successfully!');
   
   		redirect(base_url('admin/blog'));
   
   	}
   
   
   	public function file_check1()
   
   	{
   
   		if(empty($_FILES['blog_thumbImage']['name'][0]))
   
   		{
   
   			$this->form_validation->set_message('file_check1','Blog Thumb Image is required');
   
   			return false;
   
   		}else
   
   		{
   
   			return true;
   
   		}
   
   	}
   
   	public function file_check2()
   
   	{
   
   		if(empty($_FILES['blog_detailImage']['name'][0]))
   
   		{
   
   			$this->form_validation->set_message('file_check2','Blog Detail Image is required');
   
   			return false;
   
   		}else
   
   		{
   
   			return true;
   
   		}
   	}
}
 ?>